import Vue from 'vue'

async function getSignatureList(page) {
    return Vue.axios.get('/creator-admin/signature?page=' + (page - 1) + "&size=20");
}

async function createSignature(formData) {
    return Vue.axios.post('/creator-admin/signature', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function modifySignature(formData) {
    return Vue.axios.put('/creator-admin/signature', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

export { getSignatureList, createSignature, modifySignature }
